%% FresnelTransform

function [Y]=FresnelTransform(y,f,lambda,delta,av)

[yN,xN]=size(y); xNN=xN*2; yNN=yN*2;
%keyboard
[AF,cond_A,a_ks] = function_TransferFunction_FDDT(f,lambda,delta,yN*2,xN*2,av);  %% PROPAGATION MODELING
%AF=fftshift(AF);
 temp_double=zeros(yNN,xNN);
 temp_double(yNN/4+1:yNN*3/4,xNN/4+1:xNN*3/4)=y;
 Y_double=ifft2(AF.*fft2(temp_double)); %% First focal plane, double
 Y=Y_double(yNN/4+1:yNN*3/4,xNN/4+1:xNN*3/4);
